Skip to main content
POST
/
api
/
v1
/
group_connections
Create a new Group Connection
curl --request POST \
  --url https://fulfillment.noyo.com/api/v1/group_connections \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "carrier_id": "8fac0992-933a-4743-8dab-0d606ef2569e",
  "federal_ein": "123456789",
  "group_data": {
    "carrier_group_id": "10000000",
    "group_name": "Test Company"
  }
}
'
import requests

url = "https://fulfillment.noyo.com/api/v1/group_connections"

payload = {
"carrier_id": "8fac0992-933a-4743-8dab-0d606ef2569e",
"federal_ein": "123456789",
"group_data": {
"carrier_group_id": "10000000",
"group_name": "Test Company"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
carrier_id: '8fac0992-933a-4743-8dab-0d606ef2569e',
federal_ein: '123456789',
group_data: {carrier_group_id: '10000000', group_name: 'Test Company'}
})
};

fetch('https://fulfillment.noyo.com/api/v1/group_connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "carrier_id": "8fac0992-933a-4743-8dab-0d606ef2569e",
  "created": 1557329939,
  "group_data": {
    "carrier_group_id": "10000000",
    "group_name": "Test Company"
  },
  "group_id": "47c07963-2e34-4da2-86b4-cbc3c57111c1",
  "id": "dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1",
  "modified": 1557329939,
  "organization_id": "d61fa455-adf4-4dc4-8c57-6d779ba9475e",
  "request_type": "initial",
  "status": "created",
  "version": "9906b5d2-e76d-4bad-ba4c-8ce90b6b867b"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
carrier_id
string<uuid>
required

Unique identifier of the carrier in Noyo

group_data
object
required

Carrier-specific data to execute a group connection

data_exchange_configuration
enum<string>

Use the specified data exchange configuration without calculating connection eligibility

Available options:
api,
edi
federal_ein
string

Federal Employer Identification Number for the new group/company

Example:

"123123123"

ignore_eligibility
boolean

Use the best available data exchange configuration without calculating connection eligibility

Response

201 - application/json

Successful Response - Returns the new Group Connection

carrier_id
string<uuid>
required
read-only

Unique identifier of the carrier in Noyo

created
integer
required

The date the record was created

group_data
object
required

Carrier-specific data to execute a group connection

id
string<uuid>
required
read-only

Unique identifier of the group connection in Noyo

modified
integer
required

The date the record was last updated

organization_id
string<uuid>
required
read-only

Unique identifier of the platform or broker organization in Noyo

request_type
string
required
read-only

Type of the group connection

setup_result
object
required
read-only

More information about the result of the group connection

status
enum<string>
required
read-only

Status of the group connection

Available options:
created,
processing,
noyo_review,
waiting_on_carrier,
carrier_authorization,
action_required,
unable_to_connect,
completed
version
string<uuid>
required

Current version of the record

completed
integer
read-only

Timestamp indicating when a group connection was marked as completed.

federal_ein
string
read-only

Federal Employer Identification Number for the group

group_id
string<uuid>
read-only

ID of associated group model